itpp::Constant_Rate_Packet_Generator Class Reference

`#include <itpp/protocol/packet_generator.h>`

Inheritance diagram for itpp::Constant_Rate_Packet_Generator:

## Public Member Functions

| Constant_Rate_Packet_Generator (const double Avg_bit_rate=1.0, const int Packet_size=150, const unsigned long int Max_packets=0)
| ADD DOCUMENTATION HERE.
virtual | ~Constant_Rate_Packet_Generator ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const double Avg_bit_rate, const int Packet_size, const unsigned long int Max_packets)
| ADD DOCUMENTATION HERE.
void | set_parameters (const int Packet_size, const unsigned long int Max_packets)
| ADD DOCUMENTATION HERE.
double | get_avg_bit_rate ()
| ADD DOCUMENTATION HERE.
int | get_packet_size ()
| ADD DOCUMENTATION HERE.
int | get_max_packets ()
| ADD DOCUMENTATION HERE.

## Public Attributes

Signal< Packet * > | output
| ADD DOCUMENTATION HERE.
Slot< Packet_Generator, bool > | start
| ADD DOCUMENTATION HERE.

## Protected Member Functions

virtual Ttype | delta_t ()
| ADD DOCUMENTATION HERE.

## Protected Attributes

double | avg_delta_t
| ADD DOCUMENTATION HERE.
double | avg_bit_rate
| ADD DOCUMENTATION HERE.
Exponential_RNG | ee
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 114 of file packet_generator.h.

## Constructor & Destructor Documentation

## Constant_Rate_Packet_Generator()

itpp::Constant_Rate_Packet_Generator::Constant_Rate_Packet_Generator | ( | const double | Avg_bit_rate = `1.0`,
|  | const int | Packet_size = `150`,
|  | const unsigned long int | Max_packets = `0`
| ) |  |

ADD DOCUMENTATION HERE.

Definition at line 120 of file packet_generator.cpp.

## ~Constant_Rate_Packet_Generator()

itpp::Constant_Rate_Packet_Generator::~Constant_Rate_Packet_Generator | ( |  | ) |

virtual

ADD DOCUMENTATION HERE.

Definition at line 122 of file packet_generator.cpp.

## Member Function Documentation

## delta_t()

Ttype itpp::Constant_Rate_Packet_Generator::delta_t | ( |  | ) |

protectedvirtual

ADD DOCUMENTATION HERE.

Reimplemented from itpp::Poisson_Packet_Generator.

Definition at line 124 of file packet_generator.cpp.

References itpp::Poisson_Packet_Generator::avg_delta_t.

## set_parameters() [1/2]

void itpp::Poisson_Packet_Generator::set_parameters | ( | const double | Avg_bit_rate,
|  | const int | Packet_size,
|  | const unsigned long int | Max_packets
| ) |  |

inherited

ADD DOCUMENTATION HERE.

Definition at line 95 of file packet_generator.cpp.

References itpp::Poisson_Packet_Generator::avg_bit_rate, itpp::Poisson_Packet_Generator::avg_delta_t, itpp::Poisson_Packet_Generator::ee, itpp::Packet_Generator::get_packet_size(), it_assert, itpp::Packet_Generator::set_parameters(), and itpp::Exponential_RNG::setup().

Referenced by itpp::Poisson_Packet_Generator::Poisson_Packet_Generator().

## set_parameters() [2/2]

void itpp::Packet_Generator::set_parameters | ( | const int | Packet_size,
|  | const unsigned long int | Max_packets
| ) |  |

inherited

ADD DOCUMENTATION HERE.

Definition at line 46 of file packet_generator.cpp.

References it_assert.

Referenced by itpp::Packet_Generator::Packet_Generator(), and itpp::Poisson_Packet_Generator::set_parameters().

## get_avg_bit_rate()

double itpp::Poisson_Packet_Generator::get_avg_bit_rate | ( |  | ) |

inherited

ADD DOCUMENTATION HERE.

Definition at line 106 of file packet_generator.cpp.

References itpp::Poisson_Packet_Generator::avg_bit_rate.

## get_packet_size()

int itpp::Packet_Generator::get_packet_size | ( |  | ) |

inherited

ADD DOCUMENTATION HERE.

Definition at line 54 of file packet_generator.cpp.

Referenced by itpp::Poisson_Packet_Generator::set_parameters().

## get_max_packets()

int itpp::Packet_Generator::get_max_packets | ( |  | ) |

inherited

ADD DOCUMENTATION HERE.

Definition at line 59 of file packet_generator.cpp.

## Member Data Documentation

## avg_delta_t

double itpp::Poisson_Packet_Generator::avg_delta_t

protectedinherited

ADD DOCUMENTATION HERE.

Definition at line 103 of file packet_generator.h.

Referenced by itpp::Poisson_Packet_Generator::delta_t(), delta_t(), and itpp::Poisson_Packet_Generator::set_parameters().

## avg_bit_rate

double itpp::Poisson_Packet_Generator::avg_bit_rate

protectedinherited

ADD DOCUMENTATION HERE.

Definition at line 105 of file packet_generator.h.

Referenced by itpp::Poisson_Packet_Generator::get_avg_bit_rate(), and itpp::Poisson_Packet_Generator::set_parameters().

## ee

Exponential_RNG itpp::Poisson_Packet_Generator::ee

protectedinherited

ADD DOCUMENTATION HERE.

Definition at line 107 of file packet_generator.h.

Referenced by itpp::Poisson_Packet_Generator::delta_t(), itpp::Burst_WWW_Packet_Generator::delta_t(), and itpp::Poisson_Packet_Generator::set_parameters().

## output

Signal<Packet*> itpp::Packet_Generator::output

inherited

ADD DOCUMENTATION HERE.

Definition at line 62 of file packet_generator.h.

Referenced by itpp::Packet_Generator::Packet_Generator().

## start

Slot<Packet_Generator, bool> itpp::Packet_Generator::start

inherited

ADD DOCUMENTATION HERE.

Definition at line 64 of file packet_generator.h.

Referenced by itpp::Packet_Generator::Packet_Generator().

The documentation for this class was generated from the following files:

- itpp/protocol/packet_generator.h
- itpp/protocol/packet_generator.cpp

Generated on Mon Jun 10 2024 11:49:34 for IT++ by Doxygen 1.9.8